<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="stylesheet" href="./assets/css/style.css" />
    <link rel="stylesheet" href="./assets/css/simplePagination.css" />

    <title>آهنگ‌ها</title>
  </head>
  <body>
    <section id="song-contents">
      <nav class="side-nav">
        <div id="nav-icon" class="hamburger">
          <span class="bar"></span>
        </div>
        <ul class="side-nav-list">
          <li class="side-nav-item">
            <a class="active side-nav-link" href="#">آهنگ‌ها</a>
          </li>
          <li class="side-nav-item">
            <a class="side-nav-link" href="#">آلبوم‌ها</a>
          </li>
          <li class="side-nav-item">
            <a class="side-nav-link" href="#">پلی‌لیست‌ها</a>
          </li>
          <li class="side-nav-item">
            <a class="side-nav-link" href="#">خواننده‌ها</a>
          </li>
          <li class="side-nav-item">
            <a class="side-nav-link" href="#">ویژه‌ها</a>
          </li>
        </ul>
      </nav>
      <nav id="nav">
        <div class="nav-container">
          <a class="active" href="#">آهنگ‌ها</a>
          <a href="#">آلبوم‌ها</a>
          <a href="#">پلی‌لیست‌ها</a>
          <a href="#">خواننده‌ها</a>
          <a href="#">ویژه‌ها</a>
        </div>
        <div class="search-bar">
          <a href="#">آهنگ جدید</a>
          <input
            type="search"
            onfocus="this.placeholder = ''"
            id="searchBar"
            name="searchBar"
            class="input-text"
            onblur="this.placeholder = 'آهنگ با خواننده موردنظر را جستجو کنید'"
            placeholder="آهنگ با خواننده موردنظر را جستجو کنید"
          />
        </div>
      </nav>
      <section id="songCategory-filter" class="margin-top-60">
        <p class="category-label">فیلتر بر اساس دسته‌بندی:</p>
        <div id="song-categorys">
          <a href="#">آهنگ جدید</a>
          <a href="#">آهنگ قدیمی</a>
          <a href="#">به‌زودی</a>
          <a href="#">نوحه</a>
        </div>
      </section>
      <section id="song-list" class="margin-top-60">
        <div class="song-container margin-top-20">
          <div class="song-container-right">
            <div class="song-cover">
              <img src="https://picsum.photos/150" alt="song-cover" />
            </div>
            <div class="song-description">
              <div class="song-name">
                <p>
                  منتظر بودن کاریه که یعضی وقت‌ها پسرا برای دخترا منتظر بودن
                  کاریه که یعضی وقت‌ها پسرا برای دخترا
                </p>
                <p>
                  montazer bodan kariye ke bazi vaghta pesara montazer bodan
                  kariye ke bazi vaghta pesara montazer bodan kariye ke bazi
                  vaghta pesara
                </p>
              </div>
              <div class="song-artist">
                <p>زدبازی</p>
                <p>zedbazi</p>
              </div>
            </div>
          </div>
          <div class="song-featurs">
            <div class="song-categorys">
              <p>آهنگ جدید</p>
              <p>به‌زودی</p>
            </div>
            <div class="song-platforms">
              <p class="musicList-platform" data-name="gonah-musicisho">موزیکیشو</p>
              <p class="musicList-platform" data-name="gonah-telegram">تلگرام</p>
              <p class="musicList-platform" data-name="gonah-app">اپلیکیشن</p>
            </div>
            <div class="song-tags">
              <p>تگ1</p>
              <p>تگ2</p>
              <p>تگ3</p>
              <p>تگ4</p>
            </div>
          </div>
        </div>
      </section>
      <div id="pagination" class="margin-top-60"></div>
    </section>
    <script src="./assets/js/jquery-3.4.1.min.js"></script>
    <script src="./assets/js/jquery.simplePagination.js"></script>
    <script>
      var hamburger = document.getElementById("nav-icon");
      hamburger.addEventListener("click", function () {
        document.querySelector(".side-nav-list").classList.toggle("slide-in");
        document.querySelector(".hamburger").classList.toggle("close");
      });

      $(function () {
        $("#pagination").pagination({
          items: 100, // tedade kole item ha agha ghadimi inja ro shoma bayad por konin jaye 100
          itemsOnPage: 10, // tedadi ke dar safhe mikhaym bashe
          cssStyle: "light-theme",
          displayedPages: 3,
          prevText: false,
          nextText: false,
          edges: 1,
          onPageClick(pageNumber, event) {
            console.log(pageNumber);
            // inja mitonid roye pagination click shod func bezanid
            // shomare safhe ro ham mide --> pageNumber
          },
        });
      });

      $("#searchBar").on("keyup", function (e) {
        if (e.keyCode === 13) {
          let searchVal = $(this).val();

          console.log(searchVal);
          

          // searchVal value dakhele box search hastesh
        }
      });

        // music list platform to edit

  $(".musicList-platform").click(function () {
    let listPlatformEdit = $(this).attr("data-name");
    console.log(listPlatformEdit);

    //ajax func here
  });
    </script>
  </body>
</html>
